//Extraction de la hauteur de chaque individu

//1 - Filtrer tous les individus (cd les types N) de la scne
individuList = NodesFilter({ n -> TypeName(n) == "N"})


//2 - Dfinir la fonction SumInternodeByOrder qui calcule le nombre d'entrenoeuds (cd les types e) d'ordre ORDER pour un individu
final ORDER = 1 //changer cette constante pour changer l'ordre de ramification  filtrer
SumInternodeByOrder = { ind -> Descendants(ind , {node -> TypeName(node) == "e" && Order(node) == ORDER}).size() }


//3 - Dfinir la fonction ComputeHeight qui calcule la hauteur du tronc d'un individu
ComputeHeight = { ind -> 
    eTrunkList = Descendants(ind , {node -> TypeName(node) == "e" && Order(node) == 1}) 
    return SumAttribute(eTrunkList, "longueur")
}

//4 - Collecter dans la liste d'individus individuList  l'Index, le nombre d'entrenoeuds par ORDER et la hauteur du tronc
data = individuList.collect({ind -> [Index(ind), SumInternodeByOrder(ind), ComputeHeight(ind)]})

//4- Affichage des donnes collectes sous forme de tableau
Table(data, ["Individu", "NbTotalENOrdre"+ORDER, "HauteurDuTronc"])
