//Extraction du diamtre  la base de chaque individu

//1 - Filtrer tous les individus (cd les types N) de la scne
individuList = NodesFilter({ n -> TypeName(n) == "N"})

//2 - Dfinir fonction qui calcule le diametre  une certaine hauteur HEIGHT
final HEIGHT = 20
ComputeDiameterAtHeightBase = {ind -> 
    
    //On rcuprer les entrenoeuds du tronc, de bas en haut
    eList = Descendants(ind, {node -> TypeName(node) == "e" && Order(node) == 1})

    sumLength = 0
    for (e in eList) {
        sumLength += longueur(e)
        if(sumLength >= HEIGHT) {
           return (diametre1(e) + diametre2(e))/ 2.0
        }
    }
    
    return "TROP PETIT !"
}

//3 - Collecter dans la liste d'individus individuList, le diamtre  une certaine hauteur
data = individuList.collect({ind -> [Index(ind), ComputeDiameterAtHeightBase(ind)]})

//4- Affichage des donnes collectes sous forme de tableau
Table(data, ["Individu", "DiametreHeight"+HEIGHT])