uList = NodesFilter({node -> Order(node) == 1 && TypeName(node) =="u" && UC_Year(node) !=null})

//Pour une UC, rcuprer l'uc prcedente (dans l'individu) ayant un attribut UC_Year renseign
getPreviousYearUC = { u -> 
    listPredecessorsWithYear = Predecessors(u, { node -> UC_Year(node) != null})
    if(listPredecessorsWithYear.size() > 0) {
        firstPredecessorWithYear = listPredecessorsWithYear[0]
        return firstPredecessorWithYear
    } else 
        return null
}
    
    
uBug = []    
for (u in uList) {

    currentYear = UC_Year(u) 
   
    previousYearUC = getPreviousYearUC(u)
    
    if(previousYearUC != null) {
    
        previousYear = UC_Year(previousYearUC)  

        if(previousYear > currentYear) { //si l'anne de l'uc prcdente est suprieure  l'anne courante, on corrige l'anne prcdente
            uBug.add(previousYearUC) 
        }
    }
    
}

data = uBug.collect({u -> [Index(Root(u)), Index(u)]})

Table(data, ["Individu", "UC_Error"])
    
