//Extraction de la longueur des entrenoeuds successifs du tronc d'un individu

//1 - Filtrer un individu (cd les types N) dont l'index est gal  INDEX 
final INDEX = 2
individuList = NodesFilter({ n -> TypeName(n) == "N" && Index(n) == INDEX})
individu = individuList[0]

//2 - Filtrer dans l'individu les entrenoeuds (type e)  l'ordre 1
eList = Descendants(individu , {node -> TypeName(node) == "e" && Order(node) == 1})


//3 - Collecter dans la liste d'entrenoeud, les positions et les longueurs
data = eList.collect({e -> [Index(e), longueur(e)]})


//4- Affichage des donnes collectes sous forme de tableau
Table(data, ["IndexEN", "Longueur"])
