//Extraction du diamtre  la base de chaque individu

//1 - Filtrer tous les individus (cd les types N) de la scne
individuList = NodesFilter({ n -> TypeName(n) == "N"})

//2 - Dfinir fonction qui calcule le diamtere  la base du tronc d'un individu
ComputeDiameterBase = {ind -> 
    //On rcuprer le premier entrenoeud du tronc
    eList = Descendants(ind, {node -> TypeName(node) == "e" && Order(node) == 1 && Rank(node) == 1})
    firstE = eList[0]
    
    return (diametre1(firstE) + diametre2(firstE))/ 2.0
}

//3 - Collecter dans la liste d'individus individuList, le diamtre du premier entrenoeud du tronc
data = individuList.collect({ind -> [Index(ind), ComputeDiameterBase(ind)]})

//4- Affichage des donnes collectes sous forme de tableau
Table(data, ["Individu", "DiametreBase"])